#ifndef		__SPLINES_H__
#define		__SPLINES_H__

#include "vector2d.h"
#include <vector>
#include <allegro.h>

void draw_splines(BITMAP *canvas, std::vector<Vector2D> &nodes, float curviness, int col, bool closePath);
void draw_aa_splines(BITMAP *canvas, std::vector<Vector2D> &nodes, float curviness, float thickness, int col, float aa, bool closePath, int caps=0xff);

#endif		//__SPLINES_H__
